/*
 * Class WEL_RICH_EDIT_MESSAGE_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_283 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_283 [] = {0xFF01,1551,282,0xFFFF};
static const EIF_TYPE_INDEX egt_2_283 [] = {0xFF01,282,0xFFFF};
static const EIF_TYPE_INDEX egt_3_283 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_283 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_283 [] = {0xFF01,282,0xFFFF};
static const EIF_TYPE_INDEX egt_6_283 [] = {0xFF01,282,0xFFFF};
static const EIF_TYPE_INDEX egt_7_283 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_283 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_283 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_283 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_283 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_283 [] = {0xFF01,282,0xFFFF};


static const struct desc_info desc_283[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_283), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_283), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_283), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_283), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_283), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_283), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_283), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_283), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_283), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_283), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_283), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_283), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0235 /*282*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_283), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5366, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5370, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5371, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5374, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5378, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5379, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5383, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5384, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5385, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5386, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5387, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5390, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5392, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5393, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5394, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5395, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5396, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5397, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5398, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5399, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5402, 0xFFFFFFFF},
};
void Init283(void)
{
	IDSC(desc_283, 0, 282);
	IDSC(desc_283 + 1, 1, 282);
	IDSC(desc_283 + 32, 395, 282);
}


#ifdef __cplusplus
}
#endif
